import { type CompletionFunc } from '@pnpm/command';
import { type InstallCommandOptions } from '../install';
export declare function rcOptionsTypes(): Record<string, unknown>;
export declare function cliOptionsTypes(): Record<string, unknown>;
export declare const shorthands: Record<string, string>;
export declare const commandNames: string[];
export declare const completion: CompletionFunc;
export declare function help(): string;
export type UpdateCommandOptions = InstallCommandOptions & {
    interactive?: boolean;
    latest?: boolean;
};
export declare function handler(opts: UpdateCommandOptions, params?: string[]): Promise<string | undefined>;
